ata_qc_issue_prot
Prev | Chapter 4. libata Library | Next

## Name

ata_qc_issue_prot — issue taskfile to device in proto-dependent manner

## Synopsis

`unsigned int ata_qc_issue_prot (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  command to issue to device

## Description

Using various libata functions and hooks, this function starts an ATA command. ATA commands are grouped into classes called “protocols”, and issuing each type of protocol is slightly different.

May be used as the `qc_issue` entry in ata_port_operations.

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

Zero on success, AC_ERR_* mask on failure

Prev | Up | Next
ata_qc_complete_multiple | Home | ata_host_intr